version: "3.8"

networks:
  default:
    external:
      name: traefik

services:
  crmx-staging:
    container_name: crmx-staging
    build: .
    restart: always
    labels:
      traefik.enable: "true"
      traefik.http.routers.crmx-staging.rule: "Host(`staging.${URL}`)"
      traefik.http.routers.crmx-staging.entrypoints: "web"
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
